function ShowX()
{
	notation = System.Gadget.Settings.read("Notation");
	numDec = System.Gadget.Settings.read("Decimals");
	System.Gadget.Settings.write("X", X);
	System.Gadget.Settings.write("Y", Y);
	System.Gadget.Settings.write("Z", Z);
	System.Gadget.Settings.write("T", T);
	System.Gadget.Settings.write("LastX", LastX);
	var Xtemp = X;
	var Xman = "0";
	var Xexp = "0";
	var i = 0;
	var j = 0;
	if (debug == 1)
		document.getElementById("debug").innerHTML = X + " : " + Y + " : " + Z + " : " + T + " : " + LastKeyType;
	document.getElementById("0a").src = "images/minusspace.png";
	if (X.toFixed(0).substr(0,1) == "-")
	{
		document.getElementById("0a").src = "images/minus.png";
		Xtemp = Math.abs(X);
	}
	else
	{
		document.getElementById("0a").src="images/minusspace.png";		
	}
	switch (notation)
	{
		case "fix":
			showMan(Xtemp.toFixed(numDec), 12);
			break;
		case "sci":
			if (X == 0)
			{
				Xman = "0";
				Xexp = "0";
			}
			else
			{
				Xexp = parseInt((Math.log(Math.abs(X)) / Math.log(10)).toFixed(4));
				if (debug) Test.innerText = Xexp;
				Xman = (Math.abs(X) / Math.pow(10, Xexp)).toFixed(numDec);
			}
			showMan(Xman, 9);
			showExp(Xexp);
			break;
		case "eng":
			if (X == 0)
			{
				//dispMan.innerText = X.toFixed(numDec);
				//dispExp.innerText = "0";
			}
			else
			{
			Xexp = parseInt((Math.log(Math.abs(X)) / Math.log(10)).toFixed(4));
			//Xman = (Math.abs(X) / Math.pow(10, Xexp)).toFixed(numDec);
			Xman = Math.abs(X) / Math.pow(10, Xexp);
			switch (Xexp % 3)
			{
				case -1:
					Xexp = Xexp + 1;
					Xman = Xman / 10;
					break;
				case -2:
					Xexp = Xexp + 2;
					Xman = Xman / 100;
					break;
				case 1:
					Xexp = Xexp - 1;
					Xman = Xman * 10;
					break;
				case 2:
					Xexp = Xexp - 2;
					Xman = Xman * 100;
					break;
			}
			Xman = Xman.toPrecision(numDec + 1);
			//dispMan.innerText = Xman;
			showMan(Xman, 9);
			//dispExp.innerText = Xexp;
			showExp(Xexp);
			}
			break;
	}
	if (Err == "True")
		showError();
}

function ShowEnt()
{
	var tempStr = EntString;						//Copy of EntString
	var i=0;														//position on display
	var j=0;														//position in EntString
	notation = System.Gadget.Settings.read("Notation");
	numDec = System.Gadget.Settings.read("Decimals");
	viewKeyboard = System.Gadget.Settings.read("viewKeyboard");
	System.Gadget.Settings.write("X", parseFloat(EntString));
	System.Gadget.Settings.write("Y", Y);
	System.Gadget.Settings.write("Z", Z);
	System.Gadget.Settings.write("T", T);
	System.Gadget.Settings.write("LastX", LastX);
	if (debug == 1)
		document.getElementById("debug").innerHTML = EntString + " : " + Y + " : " + Z + " : " + T + " : " + LastKeyType;
	//if (sign == "-")
	if (tempStr.indexOf("-") != -1)
	{
		document.getElementById("0a").src = "images/minus.png";
		tempStr = tempStr.substring(1);
	}
	if (tempStr.substr(0,1) == ".")
		tempStr = "0" + tempStr;
	for (i = 1 ; i < 11 ; i++)
	{
		if (tempStr.substr(j,1) == "")
		{
			document.getElementById(i+"a").src="images/spaceWide.png";
			document.getElementById(i+"b").src="images/spaceNarrow.png";
		}
		else
		{
			document.getElementById(i+"a").src="images/"+tempStr.substr(j,1)+".png";
			document.getElementById(i+"b").src="images/spaceNarrow.png";
			j++;
			if (tempStr.substr(j,1) == ".")
			{
				document.getElementById(i+"b").src="images/dot.png";
				j++;
			}
		}
	}
	if (tempStr.indexOf(".") == -1)
	{
		if (tempStr.length < 10)
			document.getElementById((tempStr.length+1)+"a").src="images/ul.png";			
	}
	else
	{
		if (tempStr.length < 9)
			document.getElementById((tempStr.length)+"a").src="images/ul.png";			
	}
}

function showMan(Xman, numDig)
//i:position p displayen, j:position i X
{
var j=0;
	for (i = 1 ; i < numDig - 1 ; i++)
	{
		if (Xman.substr(j,1) == "")
		{
			document.getElementById(i+"a").src="images/spaceWide.png";
			document.getElementById(i+"b").src="images/spaceNarrow.png";
		}
		else
		{
			document.getElementById(i+"a").src="images/"+Xman.substr(j,1)+".png";
			document.getElementById(i+"b").src="images/spaceNarrow.png";
			j++;
			if (Xman.substr(j,1) == ".")
			{
				document.getElementById(i+"b").src="images/dot.png";
				j++;
			}
		}
	}
}

function showExp(Xexp)
{
	if (Xexp == 0)
	{
		document.getElementById("9a").src="images/0.png";
		document.getElementById("9b").src="images/spaceNarrow.png";				
		document.getElementById("10a").src="images/0.png";
		document.getElementById("10b").src="images/spaceNarrow.png";				
	}
	if (Xexp < 0)
	{
		document.getElementById("8a").src="images/minus.png";
		document.getElementById("8b").src="images/spaceNarrow.png";
		Xexp = Math.abs(Xexp);
	}
	else
	{
		document.getElementById("8a").src="images/spaceWide.png";
		document.getElementById("8b").src="images/spaceNarrow.png";
		}
			if (Xexp > 10)
		{
		document.getElementById("9a").src="images/"+Xexp.substr(0,1)+".png";
		document.getElementById("9b").src="images/spaceNarrow.png";				
		document.getElementById("10a").src="images/"+Xexp.substr(1,1)+".png";
	}
	else
	{
		document.getElementById("9a").src="images/"+Xexp.substr(0,1)+".png";
	}	
}

function showError()
{
	Err = "False";
	document.getElementById("0a").src = "images/minusspace.png";
	document.getElementById("1a").src = "images/E.png";
	document.getElementById("1b").src = "images/spaceNarrow.png";
	document.getElementById("2a").src = "images/r.png";
	document.getElementById("2b").src = "images/spaceNarrow.png";
	document.getElementById("3a").src = "images/r.png";
	document.getElementById("3b").src = "images/spaceNarrow.png";
	for (i = 4 ; i <= 12 ; i++)
	{
		document.getElementById(i + "a").src = "images/spaceWide.png";
		document.getElementById(i + "b").src = "images/spaceNarrow.png";
	}	
}