var X, Y, Z, T, S = 0;
var temp;
var InputNum = 0;
var KeyType = ""; // Keytype pressed, "Num", "Func" or "Null"
var dotPressed = "False"; // Dot can only be pressed once
var LastKeyType = "Enter"; // Keytype pressed last time, "Enter", "Num" or
// "Func"
var KeyFunc = ""; // Function key pressed
// var Entering = "False"; // True: Numbers are being entered, False: A result
// is being viewed
var EntString = ""; // Number while it is being entered
var debug = 0; // 1 = debug mode
var notation = "fix"; // fix, sci or eng
var numDec = "2";
var Err = "False";
var viewKeyboard; // true = View keyboard
var i;

function loadMain() {
	document.getElementById("dot").style.display = "none";
	numDec = System.Gadget.Settings.read("Decimals");
	if (numDec == "")
		numDec = "2";
	notation = System.Gadget.Settings.read("Notation");
	if (notation == "")
		notation = "fix";
	System.Gadget.Settings.write("Decimals", numDec);
	System.Gadget.Settings.write("Notation", notation);
	viewKeyboard = System.Gadget.Settings.read("viewKeyboard");
	if (viewKeyboard == "")
		viewKeyboard = false;
	viewKeyboard = System.Gadget.Settings.write("viewKeyboard", viewKeyboard);
	viewkb();
	X = System.Gadget.Settings.read("X");
	if (X == "")
		X = 0;
	Y = System.Gadget.Settings.read("Y");
	if (Y == "")
		Y = 0;
	Z = System.Gadget.Settings.read("Z");
	if (Z == "")
		Z = 0;
	T = System.Gadget.Settings.read("T");
	if (T == "")
		T = 0;
	LastX = System.Gadget.Settings.read("LastX");
	if (LastX == "")
		LastX = 0;
	// X = 0;
	ShowX();
	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onSettingsClosed = settingsClosed;
	// document.getElementById("0a").src="images/spaceWide.png";
	document.getElementById("0b").src = "images/spaceNarrow.png";
	// for (i=1;i<12;i++)
	// {
	// document.getElementById(i+"a").src="images/"+i+".png";
	// document.getElementById(i+"b").src="images/spaceNarrow.png";
	// }
}

function settingsClosed(event) {
	if (event.closeAction == event.Action.commit) {
		viewkb();
		if (LastKeyType == "Num")
			ShowEnt();
		else
			ShowX();
	}
}

function getFocus() {
	document.getElementById("dot").style.display = "table";
	// document.getElementById("dot").bgColor = "#c12c0b";
}

function looseFocus() {
	// document.getElementById("dot").bgColor = "#4f4e4e";
	document.getElementById("dot").style.display = "none";
}

function keyPressHandler() {
	switch (event.keyCode) {
	case 48:
		InputNum = 0;
		KeyType = "Num";
		break;
	case 49:
		InputNum = 1;
		KeyType = "Num";
		break;
	case 50:
		InputNum = 2;
		KeyType = "Num";
		break;
	case 51:
		InputNum = 3;
		KeyType = "Num";
		break;
	case 52:
		InputNum = 4;
		KeyType = "Num";
		break;
	case 53:
		InputNum = 5;
		KeyType = "Num";
		break;
	case 54:
		InputNum = 6;
		KeyType = "Num";
		break;
	case 55:
		InputNum = 7;
		KeyType = "Num";
		break;
	case 56:
		InputNum = 8;
		KeyType = "Num";
		break;
	case 57:
		InputNum = 9;
		KeyType = "Num";
		break;
	case 110:
		KeyType = "Negate";
		break;
	case 13:
		KeyType = "Enter";
		break;
	case 43:
		KeyFunc = "Add";
		KeyType = "Func";
		break;
	case 45:
		KeyFunc = "Subtract";
		KeyType = "Func";
		break;
	case 42:
		KeyFunc = "Multiply";
		KeyType = "Func";
		break;
	case 47:
		KeyFunc = "Divide";
		KeyType = "Func";
		break;
	case 44:
	case 46:
		if (dotPressed == "False") {
			InputNum = ".";
			dotPressed = "True";
		} else
			InputNum = "";
		KeyType = "Num";
		break;
	case 99:
		KeyFunc = "Clear";
		KeyType = "Func";
		break;
	case 83:
	case 115:
		KeyFunc = "Store";
		KeyType = "Func";
		break;
	case 82:
	case 114:
		KeyFunc = "Recall";
		KeyType = "Func";
		break;
	case 80:
	case 112:
		KeyType = "Pi";
		break;
	case 37:
		KeyFunc = "Percent";
		KeyType = "Func";
		break;
	case 76:
	case 108:
		KeyType = "LastX";
		break;
	case 88:
	case 120:
		KeyType = "XswapY";
		break;
	default:
		KeyType = "Null";
		break;
	}
	FunctionHandling();
}

function keyDownHandler() {
	switch (event.keyCode) {
	case 8:
		KeyType = "Back";
		FunctionHandling();
		break;
	case 46:
		KeyType = "Clear";
		FunctionHandling();
		break;
	case 40:
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		RollDown();
		ShowX();
		EntString = "";
		LastKeyType = "Func";
		break;
	case 38:
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		RollUp();
		ShowX();
		EntString = "";
		LastKeyType = "Func";
		break;
	}
}

function FunctionHandling() {
	switch (KeyType) {
	case "Num":
		if (LastKeyType == "Func") {
			T = Z;
			Z = Y;
			Y = X;
		}
		if (EntString.length < 10)
			EntString = EntString + InputNum.toString();
		LastKeyType = "Num";
		ShowEnt();
		break;
	case "Back":
		if (LastKeyType == "Num" && EntString.length > 0) {
			if (EntString.substring(EntString.length - 1) == ".")
				dotPressed = "False";
			EntString = EntString.substring(0, EntString.length - 1);
			// if (EntString.EndsWith("E")) EntString = EntString.substring(0,
			// EntString.length - 1);
			if (EntString.length == 0) {
				X = 0;
				LastKeyType = "Enter";
				ShowX();
			} else {
				ShowEnt();
			}
		} else {
			X = 0;
			EntString = "";
			LastKeyType = "Enter";
			ShowX();
		}
		break;
	case "Clear":
		X = 0;
		EntString = "";
		dotPressed = "False";
		LastKeyType = "Enter";
		ShowX();
		break;
	case "Negate":
		if (LastKeyType == "Func" && X != 0) {
			X = -X;
			ShowX();
		}
		if (LastKeyType == "Num" && EntString != "") {
			if (EntString.indexOf("-") == -1) {
				EntString = "-" + EntString;
			} else
				EntString = EntString.substring(1);
			ShowEnt();
		}
		break;
	case "Enter":
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		else
			T = Z;
		Z = Y;
		Y = X;
		EntString = "";
		dotPressed = "False";
		LastKeyType = "Enter";
		ShowX();
		break;
	case "XswapY":
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		// T = Z; Z = Y; Y = X;
		temp = X;
		X = Y;
		Y = temp;
		EntString = "";
		dotPressed = "False";
		LastKeyType = "Func";
		ShowX();
		break;
	case "Pi":
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		T = Z;
		Z = Y;
		Y = X;
		X = Math.PI;
		EntString = "";
		dotPressed = "False";
		LastKeyType = "Func";
		ShowX();
		break;
	case "LastX":
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		T = Z;
		Z = Y;
		Y = X;
		X = LastX;
		EntString = "";
		dotPressed = "False";
		LastKeyType = "Func";
		ShowX();
		break;
	case "Func":
		if (LastKeyType == "Num")
			X = parseFloat(EntString);
		LastX = X;
		switch (KeyFunc) {
		case "Add":
			X = Y + X;
			break;
		case "Subtract":
			X = Y - X;
			break;
		case "Multiply":
			X = Y * X;
			break;
		case "Divide":
			if (X == 0)
				Err = "True";
			else
				X = Y / X;
			break;
		case "Percent":
			X = (X / 100) * Y;
			break;
		}
		Y = Z;
		Z = T;
		LastKeyType = "Func";
		EntString = "";
		dotPressed = "False";
		ShowX();
		break;
	}
}

function RollDown()
// Rolls down the stack one step, X moves to T
{
	var Temp = X;
	X = Y;
	Y = Z;
	Z = T;
	T = Temp;
}

function RollUp()
// Rolls up the stack one step, T moves to X
{
	var Temp = T;
	T = Z;
	Z = Y;
	Y = X;
	X = Temp;
}

function viewkb() {
	viewKeyboard = System.Gadget.Settings.read("viewKeyboard");
	if (viewKeyboard == true) {
		// document.getElementById("body").height = 160;
		document.body.style.height = "148px";
		document.getElementById("kb").style.display = "table";
	} else {
		document.getElementById("kb").style.display = "none";
		// document.getElementById("body").height = 50;
		document.body.style.height = "100px";
	}
}